package com.swagger.jersey;

import javax.ws.rs.PUT;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.QueryParam;
import javax.ws.rs.core.MediaType;

import com.swagger.bean.Student;

import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.media.Content;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.responses.ApiResponse;
import io.swagger.v3.oas.annotations.tags.Tag;

@Path("/student")
@Produces(MediaType.APPLICATION_JSON)
public class JerseyService
{
	@Path("/{id}")
    @PUT
	@Operation(summary = "Update User",
	description = "This can only be done by the logged in user.")
	@ApiResponse(responseCode = "200", description = "User Update Success", content = @Content(schema = @Schema(implementation = Student.class)
    ))
	@ApiResponse(responseCode = "400", description = "Invalid username supplied")
	@ApiResponse(responseCode = "404", description = "User not found")
	@Tag(name="Student Services")
	public Student updateUser(
			@Parameter(description = "The user name for login", required = true) @QueryParam("username") String username,
			@Parameter(description = "Request Body Example", required = true) Student student)
	{
		return new Student();
	}


}
